% frag.m  useful code fragments for testing in a command window

%tmpFiltIm = zeros(1, SqFiltImSize * Nfreq * Nang * Nsign);  % 4 freqs, 4 angles, pos and neg
figure(10);
tmpFiltim = FILTIM;
tmpFiltim = reshape(tmpFiltim, SqFiltImSize, 32);
tmp = tmpFiltim(:, i);
tmp =reshape(tmp, FiltImSize, FiltImSize);
imagesc(tmp');
colormap(gray);
title(' Filter ');
max(max(tmp))
%disp(['layer=', num2str(layer), '  group=', num2str(group), '  view=', num2str(view)]);
%drawnow


i=1;
VNNetTrainedLoadName = '../VNanalysis/netTrained1.mat';
%VNNetTrainedLoadName = '';
if ischar(VNNetTrainedLoadName)
    i=0;
end
i

for idx = 1 : SQNET_SIZE
    idx
    figure(20);
    tmp = SYNMATL1((1:SqFiltImSize), idx);
    imagesc(reshape(tmp, FiltImSize, FiltImSize));
    colormap(gray);
    title('Connectivity of the Neuron Filt 1 ang 0 pos');
    pause
end